> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bbrands.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Purge Lead Answer

> Purge a Maihue Lead Answer



## OpenAPI

````yaml DELETE /maihue/lead-answer/{documentId}/purge
openapi: 3.0.1
info:
  title: Maihue Lead Answer API
  description: API for managing Maihue Lead Answer information
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.bbrands.io/api/v1
  - description: Staging server
    url: https://cert.api.bbrands.io/api/v1
  - description: Development server
    url: https://dev.api.bbrands.io/api/v1
security:
  - bearerAuth: []
paths:
  /maihue/lead-answer/{documentId}/purge:
    delete:
      summary: Purge a Maihue Lead Answer
      description: Purge a Maihue Lead Answer
      parameters:
        - description: The document ID of the lead answer
          in: path
          name: documentId
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: object
                  metadata:
                    $ref: '#/components/schemas/MetadataItemOk'
                type: object
          description: No Content
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
        '504':
          $ref: '#/components/responses/GatewayTimeout'
components:
  schemas:
    MetadataItemOk:
      allOf:
        - $ref: '#/components/schemas/MetadataItem'
        - example:
            correlation: 29146752-ef3a-4569-b397-ff2144412c4a
            status: 200
            timestamp: '2025-01-01T00:00:00Z'
    MetadataItem:
      type: object
      properties:
        correlation:
          description: The correlation identifier
          type: string
        status:
          description: The HTTP status code
          type: integer
        timestamp:
          description: The timestamp of the response
          format: date-time
          type: string
    UnauthorizedError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: 'Unauthorized: Authentication is required to access this resource'
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 401
              timestamp: '2025-01-01T00:00:00Z'
    ForbiddenError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: >-
                Forbidden: You do not have the necessary permissions to access
                this resource
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 403
              timestamp: '2025-01-01T00:00:00Z'
    NotFoundError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: 'Not Found: The specified resource could not be found'
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 404
              timestamp: '2025-01-01T00:00:00Z'
    TooManyRequestsError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: >-
                Too Many Requests: You have exceeded the allowed number of
                requests. Please try again later
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 429
              timestamp: '2025-01-01T00:00:00Z'
    InternalServerError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: >-
                Internal Server Error: The server encountered an unexpected
                condition that prevented it from fulfilling the request
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 500
              timestamp: '2025-01-01T00:00:00Z'
    ServiceUnavailableError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: >-
                Service Unavailable: The server is temporarily unable to handle
                the request
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 503
              timestamp: '2025-01-01T00:00:00Z'
    GatewayTimeoutError:
      allOf:
        - $ref: '#/components/schemas/ErrorResponse'
        - example:
            error:
              code: BBXYYYZZZ
              errors: []
              message: >-
                Gateway Timeout: The server did not receive a timely response
                from an upstream server or application
            metadata:
              correlation: 29146752-ef3a-4569-b397-ff2144412c4a
              status: 504
              timestamp: '2025-01-01T00:00:00Z'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Unique error code identifier
            errors:
              type: array
              items:
                type: string
              description: List of specific error messages
            message:
              type: string
              description: General error description
          required:
            - code
            - message
        metadata:
          type: object
          properties:
            correlation:
              type: string
              description: Unique identifier for tracking the request
            status:
              type: integer
              description: HTTP status code
            timestamp:
              type: string
              format: date-time
              description: ISO 8601 formatted timestamp of when the error occurred
          required:
            - correlation
            - status
            - timestamp
      required:
        - error
        - meta
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedError'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenError'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsError'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
    ServiceUnavailable:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceUnavailableError'
    GatewayTimeout:
      description: Gateway Timeout
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GatewayTimeoutError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````